Set channel as primary
POST
Set a channel as the primary channel for its type.
Authorization
AuthorizationheaderrequiredBearer YOUR_API_KEY. Create a key in the dashboard.
Path parameters
contactIdstringrequiredchannelIdstringrequiredChannel ID.
Responses
200Channel set as primary.
channelobjectrequiredA communication channel for a contact.
12 properties
idstringrequiredchannelstringrequiredChannel type.
One ofsmswhatsappemailtelegraminstagrammessengervoiceidentifierstringrequiredChannel identifier (phone number or email address).
countryCodestringISO country code for phone numbers.
labelstringOptional label for the channel.
isPrimarybooleanrequiredWhether this is the primary channel for its type.
verifiedbooleanrequiredWhether this channel has been verified.
metricsobjectDelivery metrics for this channel.
5 properties
successCountintegerfailureCountintegertotalAttemptsintegeravgDeliveryTimeMsnumberlastSuccessAtstring<date-time>
lastInboundAtstring<date-time>Last time a message was received on this channel.
metadataobject1 properties
{key}string
createdAtstring<date-time>requiredupdatedAtstring<date-time>
401Unauthorized.
codestringrequiredmessagestringrequireddetailsobject
404Contact or channel not found.
codestringrequiredmessagestringrequireddetailsobject